% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/EMTscore_plot.R
\name{Execute_M_dimension_plot}
\alias{Execute_M_dimension_plot}
\title{present M dimension score result}
\usage{
Execute_M_dimension_plot(cell_annotation_file, geneExp, M_signature_gene_sets)
}
\arguments{
\item{cell_annotation_file}{cell annotation file in data frame, The column name for cell type is "celltype_annotation" and the column name for cell sampleID is "name".}

\item{geneExp}{gene expression matrix}

\item{M_signature_gene_sets}{M signature gene list in dataframe, we supply example list such as geneList_M, M_signature_for_cancer, M_signature_for_cell}
}
\value{
Figure represent M dimension 1 and dimension 2 scores and cell type
}
\description{
present M dimension score result
}
\examples{
library(nsprcomp)
library(ggplot2)
library(dplyr)
library(gridExtra)
library(curl)
data(cell_annotation_file)
url <- "https://zenodo.org/record/15213845/files/geneExp.rda"
destfile <- tempfile(fileext = ".rda")
download.file(url, destfile, mode = "wb")
load(destfile)
data(Panchy_et_al_M_signature)


Execute_M_dimension_plot(
cell_annotation_file ,
geneExp, 
M_signature_gene_sets = Panchy_et_al_M_signature
)  # only for nnPCA method
}
