% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/EMTscore_plot.R
\name{plot_heatmap_function}
\alias{plot_heatmap_function}
\title{present result of heat map of genes that contribute to M score of dimension 1 and disension 2}
\usage{
plot_heatmap_function(geneExp, geneList_M)
}
\arguments{
\item{geneExp}{gene expression matrix}

\item{geneList_M}{M signature gene list in dataframe, we supply example list such as geneList_M, M_signature_for_cancer, M_signature_for_cell}
}
\value{
Figure represent EMT score for different methods and gene sets
}
\description{
present result of heat map of genes that contribute to M score of dimension 1 and disension 2
}
\examples{

library(ggpubr)
library(ggplot2)
library(dplyr)
library(nsprcomp)
library(pheatmap)
library(grid)
library(gridExtra)
library(circlize)
library(paletteer)
library(ggthemes)
library(ComplexHeatmap)
library(curl)
url <- "https://zenodo.org/record/15213845/files/geneExp.rda"
destfile <- tempfile(fileext = ".rda")
download.file(url, destfile, mode = "wb")
load(destfile)
data(Panchy_et_al_M_signature)
geneList_M = Panchy_et_al_M_signature


plot_heatmap_function( geneExp, geneList_M)
}
